- name: deploy quay operator
  k8s:
    kubeconfig: "{{ dest_kubeconfig }}"
    definition: "{{ lookup('template', './quay-operator.yml') }}"
    validate_certs: no
    state: present
  register: quay_operator
  
- name: check if pods are up
  shell: "oc --config={{ dest_kubeconfig }} get pods -n {{ quayproject }} | grep -i quay | grep -i Running"
  register: check_pods
  until: "'Running' in check_pods.stdout and 'deploy' not in check_pods.stdout"
  retries: 20
  delay: 2
  
- name: switch to quay project
  shell: "oc --config={{ dest_kubeconfig }} project {{ quayproject }}"
  register: switch_to_project
  
  
- name: deploy quay enterprise - https always required
  k8s:
    kubeconfig: "{{ dest_kubeconfig }}"
    definition: "{{ lookup('template', './quay-enterprise-https.yml') }}"
    namespace: "{{ quayproject }}"
    validate_certs: no
    state: present
  register: quay_enterprise
  
- name: check if pods are up
  shell: "oc --config={{ dest_kubeconfig }} get pods -n {{ quayproject }} | grep -i {{ quayecosystem }}-quay-repomirror | grep -i Running"
  register: check_pods
  until: "'Running' in check_pods.stdout and 'deploy' not in check_pods.stdout"
  retries: 30
  delay: 15
